Subject: bug#48440: closed (Re: [bug#48440] [PATCH] gnu: guix: Update to 97d615b.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 May 2021 08:35:01 +0000

Your bug report

#48440: [PATCH] gnu: guix: Update to 97d615b.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48440: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48440
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48440] [PATCH] gnu: guix: Update to 97d615b.
From: Christopher Baines <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sat, 22 May 2021 09:33:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> * gnu/packages/package-management.scm (guix): Update to 97d615b.
>>
>> In general LGTM if you’ve checked that it builds fine :-) and that
>> ‘./pre-inst-env guix build -S guix --check’ passes (to avoid mistakes
>> such as wrong hash).
>>
>> Out of curiosity, what was the motivation?
>
> I want the guix package to include the inferior package replacement
> change [1], so that I can start using it in the Guix Data Service.
>
> 1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=97d615b1761c2054561057f6b56e2a0caed13aa4
>
> I filed the patch because I couldn't get it to build locally, and I was
> wondering if it was something specific to my machine. I think this was a
> bad theory though, I'm guessing something has broken with the challenge
> test so that it just hangs.

I'm guessing this broken test was fixed just after I sent this email (in
[2]), so I've gone ahead and updated the Guix package now [3].

2: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=0471024acce5f760ac147326c06343c9c68ad3d1
3: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=fbabf0bec61c88755d6dd238717a356ca3a20b80

Subject: [PATCH] gnu: guix: Update to 97d615b.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 15 May 2021 14:28:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/package-management.scm (guix): Update to 97d615b.
---
 gnu/packages/package-management.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/package-management.scm b/gnu/packages/package-management.scm
index c72c2211b3..db8f87765b 100644
--- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -132,8 +132,8 @@
   ;; Note: the 'update-guix-package.scm' script expects this definition to
   ;; start precisely like this.
   (let ((version "1.3.0")
-        (commit "771b866c55e5f992df60f6c32f5fdd78b64e17f6")
-        (revision 1))
+        (commit "97d615b1761c2054561057f6b56e2a0caed13aa4")
+        (revision 2))
     (package
       (name "guix")
 
@@ -149,7 +149,7 @@
                       (commit commit)))
                 (sha256
                  (base32
-                  "0w8w05w6v3lc6478vfw67jzn0hbd9nsncpx9i9ch1lck53r8vs44"))
+                  "1v8k7i897xc8kiyyxk5bc4rs37askq3ccdsmva0sjm7px6a2lzmz"))
                 (file-name (string-append "guix-" version "-checkout"))))
       (build-system gnu-build-system)
       (arguments
-- 
2.30.1